Create a new support ticket
curl --request POST \
--url https://api.lynkwell.com/ticketing/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "<string>",
"subject": "<string>",
"description": "<string>",
"team": "CUSTOMER_SUPPORT",
"type": "DRIVER_ASSISTANCE",
"customer": {
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"metadata": {
"serialNumber": "<string>"
}
}
'import requests
url = "https://api.lynkwell.com/ticketing/v1/tickets"
payload = {
"network": "<string>",
"subject": "<string>",
"description": "<string>",
"team": "CUSTOMER_SUPPORT",
"type": "DRIVER_ASSISTANCE",
"customer": {
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"metadata": { "serialNumber": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: '<string>',
subject: '<string>',
description: '<string>',
team: 'CUSTOMER_SUPPORT',
type: 'DRIVER_ASSISTANCE',
customer: {
email: 'jsmith@example.com',
firstName: '<string>',
lastName: '<string>',
phone: '<string>'
},
metadata: {serialNumber: '<string>'}
})
};
fetch('https://api.lynkwell.com/ticketing/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"network": "<string>",
"enrolled": true,
"status": "open",
"subject": "<string>",
"description": "<string>",
"team": "<string>",
"customer": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"metadata": {
"serialNumber": "<string>"
},
"type": "DRIVER_ASSISTANCE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Ticket
Create a new support ticket
This endpoint creates a new support ticket
POST
/
ticketing
/
v1
/
tickets
Create a new support ticket
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Request body for creating a new ticket
The network associated with the ticket
Required string length:
1 - 50The subject of the ticket
Minimum string length:
1The description of the ticket
Minimum string length:
1Team to whom the ticket is assigned
Available options:
CUSTOMER_SUPPORT Type of the ticket
Available options:
DRIVER_ASSISTANCE, FEATURE_REQUEST, INTEROPERABILITY_TESTING, ISSUE, STATION_COMMISSIONING, RATE_CHANGE_REQUEST Customer information for the ticket
Show child attributes
Show child attributes
Additional metadata related to the ticket
Show child attributes
Show child attributes
Response
A new ticket has been created.
Show child attributes
Show child attributes